(define (script-fu-clouds-anim image
                               drawable
                               frames
                               increment
                               seed)
  (let* ((sky-layer FALSE)
         (width     0)
         (height    0)
         (time      0))

    (set! width (car (gimp-image-width image)))
    (set! height (car (gimp-image-height image)))

    (gimp-undo-push-group-start image)
    (while (< time frames)
      (set! sky-layer (car (gimp-layer-new image width height RGBA_IMAGE
                           (string-append "animation "
                                          (number->string time))
                           100 NORMAL)))
      (gimp-image-add-layer image sky-layer -1)
      (plug-in-sky 1 image sky-layer 0.0 0.0 seed TRUE 0.2 0.2 (* time increment)
                   '(117 127 138)
                   '(13 31 82)
                   '(255 237 224)
                   '(255 255 255)
                   '(0 0 0))
      (set! time (+ time 1)))
    (gimp-undo-push-group-end image)
    (gimp-displays-flush)
))

(script-fu-register "script-fu-clouds-anim"
                    _"<Image>/Script-Fu/Animators/Clouds..."
                    "Renders an animation of moving clouds."
                    "David A. Bartold <foxx@mail.utexas.edu>"
                    "David A. Bartold"
                    "02/24/02"
                    "RGB*"
                    SF-IMAGE    "Image"     0
                    SF-DRAWABLE "Drawable"  0
                    SF-VALUE    "Frames"    "24"
                    SF-VALUE    "Increment" "0.01"
                    SF-VALUE    "Seed"      "1234")
